package es.rickyepoderi.samplejersey2;

import javax.ws.rs.ApplicationPath;
import org.glassfish.jersey.server.ResourceConfig;
//import org.glassfish.jersey.jackson.JacksonFeature;
import org.glassfish.jersey.jettison.JettisonFeature;

/**
 * <p>Simple class to register the Jersey application</p>
 * 
 * @author ricky
 */
@ApplicationPath("/ws")
public class Application extends ResourceConfig {
    
    
    /**
     * Constructor.
     */
    public Application() {
        // register the feature for Jettison and Jackson
        register(JettisonFeature.class);
        //register(JacksonFeature.class);
        // register all classes inside this package (jaxb and so on)
        packages(this.getClass().getPackage().getName());
    }

}
